directory-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From akaras...@apache.org
Subject svn commit: r552879 - /directory/triplesec/branches/rewrite/pom.xml
Date Tue, 03 Jul 2007 15:30:32 GMT
Author: akarasulu
Date: Tue Jul  3 08:30:31 2007
New Revision: 552879

URL: http://svn.apache.org/viewvc?view=rev&rev=552879
Log:
changes ...

 o updated dependencies to latest versions
 o removed dependencies we do not need if we use no jsps in webapps
 o updated plugin versions
 o removed redundant pom elements inherited from the TLP parent POM


Modified:
    directory/triplesec/branches/rewrite/pom.xml

Modified: directory/triplesec/branches/rewrite/pom.xml
URL: http://svn.apache.org/viewvc/directory/triplesec/branches/rewrite/pom.xml?view=diff&rev=552879&r1=552878&r2=552879
==============================================================================
--- directory/triplesec/branches/rewrite/pom.xml (original)
+++ directory/triplesec/branches/rewrite/pom.xml Tue Jul  3 08:30:31 2007
@@ -32,31 +32,74 @@
   <groupId>org.apache.directory.triplesec</groupId>
   <version>1.0-SNAPSHOT</version>
   <artifactId>build</artifactId>
+  <url>http://directory.apache.org/triplesec/</url>
+  <inceptionYear>2005</inceptionYear>
   <name>Triplesec</name>
   <packaging>pom</packaging>
 
+  <scm>
+    <connection>scm:svn:http://svn.apache.org/repos/asf/directory/triplesec/trunk</connection>
+    <developerConnection>scm:svn:https://svn.apache.org/repos/asf/directory/triplesec/trunk</developerConnection>
+    <url>https://svn.apache.org/viewvc/directory/triplesec/trunk</url>
+  </scm>
+
+  <issueManagement>
+    <system>JIRA</system>
+    <url>https://issues.apache.org/jira/browse/DIRTSEC</url>
+  </issueManagement>
+
+  <!-- might not be need since latest activation and mail jars are in ibiblio now -->
+  <repositories>
+    <repository>
+      <id>java.net</id>
+      <url>https://maven-repository.dev.java.net/nonav/repository</url>
+      <layout>legacy</layout>
+    </repository>
+  </repositories>
+
   <dependencyManagement>
     <dependencies>
+    
+      <!--
+                W E B   J A R S :  W I C K E T,   J E T T Y,   T O M C A T,   G E R O N I
M O  
+                -->
 
       <dependency>
         <groupId>wicket</groupId>
         <artifactId>wicket</artifactId>
-        <version>1.2.4</version>
+        <version>1.2.6</version>
       </dependency>
 
       <dependency>
         <groupId>wicket</groupId>
         <artifactId>wicket-spring</artifactId>
-        <version>1.2.4</version>
+        <version>1.2.6</version>
       </dependency>
 
       <dependency>
         <groupId>wicket</groupId>
         <artifactId>wicket-extensions</artifactId>
-        <version>1.2.4</version>
+        <version>1.2.6</version>
+      </dependency>
+
+      <dependency>
+        <!-- check to see if this dependency is correct and/or if we need to have jetty-embedded
-->
+        <groupId>org.mortbay.jetty</groupId>
+        <artifactId>jetty</artifactId>
+        <version>6.1.4</version>
       </dependency>
 
       <dependency>
+        <groupId>org.apache.geronimo.specs</groupId>
+        <artifactId>geronimo-servlet_2.4_spec</artifactId>
+        <version>1.0.1</version>
+      </dependency>
+
+      <!--
+                S U N   J A R S 
+                -->
+
+      <dependency>
         <groupId>javax.activation</groupId>
         <artifactId>activation</artifactId>
         <version>1.1</version>
@@ -68,6 +111,22 @@
         <version>1.4</version>
       </dependency>
 
+      <!--
+                A P A C H E   C O M M O N S   J A R S 
+                -->
+
+      <dependency>
+        <groupId>commons-digester</groupId>
+        <artifactId>commons-digester</artifactId>
+        <version>1.5</version>
+      </dependency>
+      
+      <dependency>
+        <groupId>commons-beanutils</groupId>
+        <artifactId>commons-beanutils</artifactId>
+        <version>1.6.1</version>
+      </dependency>
+
       <dependency>
         <groupId>commons-codec</groupId>
         <artifactId>commons-codec</artifactId>
@@ -75,77 +134,95 @@
       </dependency>
 
       <dependency>
-        <groupId>log4j</groupId>
-        <artifactId>log4j</artifactId>
-        <version>1.2.13</version>
+        <groupId>commons-io</groupId>
+        <artifactId>commons-io</artifactId>
+        <version>1.3.1</version>
       </dependency>
 
       <dependency>
-        <groupId>commons-httpclient</groupId>
-        <artifactId>commons-httpclient</artifactId>
-        <version>3.0.1</version>
+        <groupId>commons-collections</groupId>
+        <artifactId>commons-collections</artifactId>
+        <version>3.2</version>
       </dependency>
 
       <dependency>
-        <groupId>ant</groupId>
-        <artifactId>ant</artifactId>
-        <version>1.6.5</version>
+        <groupId>commons-daemon</groupId>
+        <artifactId>commons-daemon</artifactId>
+        <version>1.0.1</version>
+      </dependency>
+
+      <dependency>
+        <groupId>commons-lang</groupId>
+        <artifactId>commons-lang</artifactId>
+        <version>2.3</version>
       </dependency>
 
       <dependency>
-        <groupId>tomcat</groupId>
-        <artifactId>jasper-runtime</artifactId>
-        <version>5.5.15</version>
+        <groupId>commons-cli</groupId>
+        <artifactId>commons-cli</artifactId>
+        <version>1.0</version>
       </dependency>
 
       <dependency>
-        <groupId>tomcat</groupId>
-        <artifactId>jasper-compiler</artifactId>
-        <version>5.5.15</version>
+        <groupId>commons-logging</groupId>
+        <artifactId>commons-logging</artifactId>
+        <version>1.1</version>
       </dependency>
 
       <dependency>
-        <groupId>tomcat</groupId>
-        <artifactId>jasper-compiler-jdt</artifactId>
-        <version>5.5.15</version>
+        <groupId>commons-httpclient</groupId>
+        <artifactId>commons-httpclient</artifactId>
+        <version>3.0.1</version>
       </dependency>
 
+      <!--
+                L O G G I N G   J A R S 
+                -->
+
       <dependency>
-        <groupId>commons-el</groupId>
-        <artifactId>commons-el</artifactId>
-        <version>1.0</version>
+        <groupId>log4j</groupId>
+        <artifactId>log4j</artifactId>
+        <version>1.2.13</version>
       </dependency>
 
       <dependency>
+        <groupId>org.slf4j</groupId>
+        <artifactId>nlog4j</artifactId>
+        <version>1.2.25</version>
+      </dependency>
+
+      <!--
+                M I S C   A P A C H E   J A R S 
+                -->
+
+      <dependency>
+        <groupId>ant</groupId>
+        <artifactId>ant</artifactId>
+        <version>1.6.5</version>
+      </dependency>
+
+      <dependency> <!-- might not be needed if we switch to config in DIT and go
all wicket w/o jsp -->
         <groupId>xerces</groupId>
         <artifactId>xmlParserAPIs</artifactId>
         <version>2.6.2</version>
       </dependency>
     
-      <dependency>
+      <dependency> <!-- might not be needed if we switch to config in DIT and go
all wicket w/o jsp -->
         <groupId>xerces</groupId>
         <artifactId>xercesImpl</artifactId>
         <version>2.6.2</version>
       </dependency>
 
       <dependency>
-        <groupId>org.apache.geronimo.specs</groupId>
-        <artifactId>geronimo-servlet_2.4_spec</artifactId>
-        <version>1.0.1</version>
-      </dependency>
-
-      <dependency>
-        <groupId>org.apache.geronimo.specs</groupId>
-        <artifactId>geronimo-jsp_2.0_spec</artifactId>
-        <version>1.0.1</version>
-      </dependency>
-
-      <dependency>
-        <groupId>jetty</groupId>
-        <artifactId>org.mortbay.jetty</artifactId>
-        <version>5.1.12</version>
+        <groupId>org.apache.derby</groupId>
+        <artifactId>derby</artifactId>
+        <version>10.2.2.0</version>
       </dependency>
 
+      <!--
+                A P A C H E   D I R E C T O R Y   J A R S 
+                -->
+ 
       <dependency>
         <groupId>org.apache.directory.server</groupId>
         <artifactId>apacheds-core</artifactId>
@@ -212,52 +289,14 @@
         <version>1.1.1-SNAPSHOT</version>
       </dependency>
 
-      <dependency>
-        <groupId>commons-io</groupId>
-        <artifactId>commons-io</artifactId>
-        <version>1.2</version>
-      </dependency>
-
-      <dependency>
-        <groupId>commons-collections</groupId>
-        <artifactId>commons-collections</artifactId>
-        <version>3.2</version>
-      </dependency>
-
-      <dependency>
-        <groupId>commons-daemon</groupId>
-        <artifactId>commons-daemon</artifactId>
-        <version>1.0.1</version>
-      </dependency>
-
-      <dependency>
-        <groupId>commons-lang</groupId>
-        <artifactId>commons-lang</artifactId>
-        <version>2.1</version>
-      </dependency>
-
-      <dependency>
-        <groupId>commons-cli</groupId>
-        <artifactId>commons-cli</artifactId>
-        <version>1.0</version>
-      </dependency>
-
-      <dependency>
-        <groupId>commons-logging</groupId>
-        <artifactId>commons-logging</artifactId>
-        <version>1.0.4</version>
-      </dependency>
-
-      <dependency>
-        <groupId>org.slf4j</groupId>
-        <artifactId>nlog4j</artifactId>
-        <version>1.2.25</version>
-      </dependency>
+      <!--
+                M I S C   J A R S 
+                -->
 
       <dependency>
         <groupId>antlr</groupId>
         <artifactId>antlr</artifactId>
-        <version>2.7.6</version>
+        <version>2.7.7</version>
       </dependency>
 
       <dependency>
@@ -266,31 +305,7 @@
         <version>3.8.1</version>
       </dependency>
 
-      <dependency>
-        <groupId>org.apache.derby</groupId>
-        <artifactId>derby</artifactId>
-        <version>10.1.3.1</version>
-      </dependency>
-
-      <dependency>
-        <groupId>org.springframework</groupId>
-        <artifactId>spring-core</artifactId>
-        <version>1.2.8</version>
-      </dependency>
-
-      <dependency>
-        <groupId>org.springframework</groupId>
-        <artifactId>spring-beans</artifactId>
-        <version>1.2.8</version>
-      </dependency>
-
-      <dependency>
-        <groupId>org.springframework</groupId>
-        <artifactId>spring-context</artifactId>
-        <version>1.2.8</version>
-      </dependency>
-
-      <dependency>
+      <dependency> <!-- might not be needed if we switch to config in DIT -->
         <groupId>dom4j</groupId>
         <artifactId>dom4j</artifactId>
         <version>1.6</version>
@@ -301,36 +316,29 @@
         <artifactId>jcharts</artifactId>
         <version>0.6.0</version>
       </dependency>
-     
-      <dependency>
-        <groupId>myfaces</groupId>
-        <artifactId>myfaces-api</artifactId>
-        <version>1.1.0</version>
+      
+      <!--
+                S P R I N G   J A R S 
+                -->
+ 
+     <dependency> <!-- might not be needed if we switch to config in DIT -->
+        <groupId>org.springframework</groupId>
+        <artifactId>spring-core</artifactId>
+        <version>1.2.9</version>
       </dependency>
 
-      <dependency>
-        <groupId>myfaces</groupId>
-        <artifactId>myfaces-impl</artifactId>
-        <version>1.1.0</version>
+      <dependency> <!-- might not be needed if we switch to config in DIT -->
+        <groupId>org.springframework</groupId>
+        <artifactId>spring-beans</artifactId>
+        <version>1.2.9</version>
       </dependency>
 
-      <dependency>
-        <groupId>javax.servlet</groupId>
-        <artifactId>jstl</artifactId>
-        <version>1.1.0</version>
+      <dependency> <!-- might not be needed if we switch to config in DIT -->
+        <groupId>org.springframework</groupId>
+        <artifactId>spring-context</artifactId>
+        <version>1.2.9</version>
       </dependency>
 
-      <dependency>
-        <groupId>commons-digester</groupId>
-        <artifactId>commons-digester</artifactId>
-        <version>1.5</version>
-      </dependency>
-      
-      <dependency>
-        <groupId>commons-beanutils</groupId>
-        <artifactId>commons-beanutils</artifactId>
-        <version>1.6.1</version>
-      </dependency>
     </dependencies>
   </dependencyManagement>
 
@@ -342,233 +350,166 @@
     </dependency>
   </dependencies>
 
-  <url>http://triplesec.apache.org/maven2/</url>
-
-  <repositories>
-    <repository>
-      <id>java.net</id>
-      <url>https://maven-repository.dev.java.net/nonav/repository</url>
-      <layout>legacy</layout>
-    </repository>
-  </repositories>
-
-  <distributionManagement>
-    <site>
-      <id>triplesec.website</id>
-      <url>scp://safehaus.org/home/projects/triplesec/public_html/maven</url>
-    </site>
-  </distributionManagement>
-
-  <issueManagement>
-    <system>JIRA</system>
-    <url>https://issues.apache.org/jira/browse/DIRTSEC</url>
-  </issueManagement>
-
-  <inceptionYear>2005</inceptionYear>
-
-  <mailingLists>
-    <mailingList>
-      <name>Directory Developers List</name>
-      <subscribe>dev-subscribe@directory.apache.org</subscribe>
-      <unsubscribe>dev-unsubscribe@directory.apache.org</unsubscribe>
-      <post>dev@directory.apache.org</post>
-      <archive>http://mail-archives.apache.org/mod_mbox/directory-dev</archive>
-    </mailingList>
-    <mailingList>
-      <name>Directory Commits (SVN) List</name>
-      <subscribe>commits-subscribe@directory.apache.org</subscribe>
-      <unsubscribe>commits-unsubscribe@directory.apache.org</unsubscribe>
-    </mailingList>
-  </mailingLists>
-
   <!-- ordered alphabetically by id -->
   <developers>
     <developer>
       <id>akarasulu</id>
     </developer>
     <developer>
+      <id>ccustine</id>
+    </developer>
+    <developer>
+      <id>ckoppelt</id>
+    </developer>
+    <developer>
       <id>ersiner</id>
     </developer>
     <developer>
       <id>elecharny</id>
     </developer>
     <developer>
-      <id>trustin</id>
+      <id>tbennett</id>
     </developer>
     <developer>
-      <id>tbennett</id>
+      <id>trustin</id>
     </developer>
   </developers>
 
-    <licenses>
-        <license>
-            <name>The Apache Software License, Version 2.0</name>
-            <url>http://www.apache.org/licenses/LICENSE-2.0.txt</url>
-            <distribution>repo</distribution>
-        </license>
-    </licenses>
-
-  <scm>
-    <connection>scm:svn:http://svn.apache.org/repos/asf/directory/trunks/triplesec</connection>
-    <developerConnection>scm:svn:https://svn.apache.org/repos/asf/directory/trunks/triplesec</developerConnection>
-    <url>https://svn.apache.org/viewvc/directory/trunks/triplesec</url>
-  </scm>
-
-    <organization>
-        <name>Apache Software Foundation</name>
-        <url>http://www.apache.org</url>
-    </organization>
-
-
   <build>
-         <pluginManagement>
-            <plugins>
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-surefire-plugin</artifactId>
-                    <version>2.2</version>
-                    <configuration>
-                        <forkMode>once</forkMode>
-                        <argLine>-enableassertions -Dgeronimo.bootstrap.logging.enabled=false
-Dlog4j.configuration=org/apache/geronimo/test-log4j.properties</argLine>
-                        <workingDirectory>${project.build.directory}</workingDirectory>
-
-                        <!-- Override the default, do not accept Test* as test classes
-->
-                        <excludes>
-                            <exclude>**/Abstract*.java</exclude>
-                            <exclude>**/Test*.java</exclude>
-                        </excludes>
-                        <includes>
-                            <include>**/*Test.java</include>
-                        </includes>
-                    </configuration>
-                </plugin>
-
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-clean-plugin</artifactId>
-                    <version>2.1</version>
-                </plugin>
-
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-antrun-plugin</artifactId>
-                    <version>1.1</version>
-                </plugin>
-
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-assembly-plugin</artifactId>
-                    <version>2.1</version>
-                    <configuration>
-                        <tarLongFileMode>gnu</tarLongFileMode>
-                    </configuration>
-                </plugin>
-
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-javadoc-plugin</artifactId>
-                    <version>2.1</version>
-                </plugin>
-
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-clover-plugin</artifactId>
-                    <version>2.3</version>
-                </plugin>
-
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-release-plugin</artifactId>
-                    <version>2.0-beta-4</version>
-                </plugin>
-
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-one-plugin</artifactId>
-                    <version>1.0</version>
-                </plugin>
-
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-jar-plugin</artifactId>
-                    <version>2.1</version>
-                </plugin>
-
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-war-plugin</artifactId>
-                    <version>2.0.1</version>
-                    <dependencies>
-                        <dependency>
-                            <groupId>org.apache.maven</groupId>
-                            <artifactId>maven-archiver</artifactId>
-                            <!--
-                            FIXME: 2.1 is broken... won't allow custom manifestEntires, need
to use
-                                   until war plugin is updated.
-                            -->
-                            <version>2.2</version>
-                        </dependency>
-                    </dependencies>
-                </plugin>
-
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-idea-plugin</artifactId>
-                    <version>2.0</version>
-                </plugin>
-
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-eclipse-plugin</artifactId>
-                    <version>2.2</version>
-                </plugin>
-
-                <plugin>
-                    <groupId>org.codehaus.mojo</groupId>
-                    <artifactId>jspc-maven-plugin</artifactId>
-                    <version>1.4.5</version>
-                </plugin>
-
-                <plugin>
-                    <groupId>org.codehaus.mojo</groupId>
-                    <artifactId>build-helper-maven-plugin</artifactId>
-                    <version>1.0</version>
-                </plugin>
-
-                <plugin>
-                    <groupId>org.codehaus.mojo</groupId>
-                    <artifactId>dependency-maven-plugin</artifactId>
-                    <version>1.0</version>
-                </plugin>
-
-      <plugin>
-        <groupId>org.apache.maven.plugins</groupId>
-        <artifactId>maven-site-plugin</artifactId>
-        <version>2.0-beta-5</version>
-      </plugin>
-
-       <plugin>
-        <groupId>org.apache.directory.daemon</groupId>
-        <artifactId>daemon-plugin</artifactId>
-        <version>1.1.1-SNAPSHOT</version>
-       </plugin>
-      <plugin>
-        <groupId>org.apache.directory.server</groupId>
-        <artifactId>apacheds-core-plugin</artifactId>
-        <version>1.5.1-SNAPSHOT</version>
-      </plugin>
-
-      <plugin>
-        <groupId>org.mortbay.jetty</groupId>
-        <artifactId>maven-jetty-plugin</artifactId>
-        <version>6.1.0pre0</version>
-      </plugin>
-
-           </plugins>
-        </pluginManagement>
-
-   <plugins>
-
+    <pluginManagement>
+      <plugins>
+        <plugin>
+          <groupId>org.apache.maven.plugins</groupId>
+          <artifactId>maven-surefire-plugin</artifactId>
+          <version>2.3</version>
+          <configuration>
+            <!-- I have a feeling these create serious issues with classloading through
maven 
+                                      resulting in the failure of IDEs to set breakpoints.
 It may also explain issues
+                                      with log4j configuration and with NT locking issues
when cleaning out test dirs.
+                                      
+                                      <forkMode>once</forkMode>
+                                      <argLine>-enableassertions -Dgeronimo.bootstrap.logging.enabled=false
-Dlog4j.configuration=org/apache/geronimo/test-log4j.properties</argLine>
+                                      <workingDirectory>${project.build.directory}</workingDirectory>
+                                      -->
+            <!-- Override the default, do not accept Test* as test classes -->
+            <excludes>
+              <exclude>**/Abstract*.java</exclude>
+              <exclude>**/Test*.java</exclude>
+            </excludes>
+            <includes>
+              <include>**/*Test.java</include>
+            </includes>
+          </configuration>
+        </plugin>
+
+        <plugin>
+          <groupId>org.apache.maven.plugins</groupId>
+          <artifactId>maven-clean-plugin</artifactId>
+          <version>2.1.1</version>
+        </plugin>
+
+        <plugin>
+          <groupId>org.apache.maven.plugins</groupId>
+          <artifactId>maven-antrun-plugin</artifactId>
+          <version>1.1</version>
+        </plugin>
+
+        <plugin>
+          <groupId>org.apache.maven.plugins</groupId>
+          <artifactId>maven-assembly-plugin</artifactId>
+          <version>2.1</version>
+          <configuration>
+            <tarLongFileMode>gnu</tarLongFileMode>
+          </configuration>
+        </plugin>
+
+        <plugin>
+          <groupId>org.apache.maven.plugins</groupId>
+          <artifactId>maven-javadoc-plugin</artifactId>
+          <version>2.2</version>
+        </plugin>
+
+        <plugin>
+          <groupId>org.apache.maven.plugins</groupId>
+          <artifactId>maven-clover-plugin</artifactId>
+          <version>2.4</version>
+        </plugin>
+
+        <plugin>
+          <groupId>org.apache.maven.plugins</groupId>
+          <artifactId>maven-release-plugin</artifactId>
+          <version>2.0-beta-6</version>
+        </plugin>
+
+        <plugin>
+          <groupId>org.apache.maven.plugins</groupId>
+          <artifactId>maven-jar-plugin</artifactId>
+          <version>2.1</version>
+        </plugin>
+
+        <plugin>
+          <groupId>org.apache.maven.plugins</groupId>
+          <artifactId>maven-war-plugin</artifactId>
+          <version>2.0.2</version>
+          <dependencies>
+            <dependency>
+              <groupId>org.apache.maven</groupId>
+              <artifactId>maven-archiver</artifactId>
+              <!--
+                                     FIXME: 2.1 is broken... won't allow custom manifestEntires,
need to use
+                                     until war plugin is updated.
+                                   -->
+              <version>2.2</version>
+            </dependency>
+          </dependencies>
+        </plugin>
+
+        <plugin>
+          <groupId>org.apache.maven.plugins</groupId>
+          <artifactId>maven-idea-plugin</artifactId>
+          <version>2.1</version>
+        </plugin>
+
+        <plugin>
+          <groupId>org.apache.maven.plugins</groupId>
+          <artifactId>maven-eclipse-plugin</artifactId>
+          <version>2.3</version>
+        </plugin>
+
+        <plugin>
+          <groupId>org.apache.maven.plugins</groupId>
+          <artifactId>maven-site-plugin</artifactId>
+          <version>2.0-beta-5</version>
+        </plugin>
+
+        <plugin>
+          <groupId>org.apache.directory.daemon</groupId>
+          <artifactId>daemon-plugin</artifactId>
+          <version>1.1.1-SNAPSHOT</version>
+        </plugin>
+      
+        <plugin>
+          <groupId>org.apache.directory.server</groupId>
+          <artifactId>apacheds-core-plugin</artifactId>
+          <version>1.5.1-SNAPSHOT</version>
+        </plugin>
+
+        <plugin>
+          <groupId>org.mortbay.jetty</groupId>
+          <artifactId>maven-jetty-plugin</artifactId>
+          <version>6.1.4</version>
+        </plugin>
+
+        <plugin>
+          <groupId>org.apache.maven.plugins</groupId>
+          <artifactId>maven-compiler-plugin</artifactId>
+          <version>2.0.2</version>
+        </plugin>
+
+      </plugins>
+    </pluginManagement>
+  
+    <plugins>
       <plugin>
         <groupId>org.apache.maven.plugins</groupId>
         <artifactId>maven-compiler-plugin</artifactId>
@@ -579,13 +520,6 @@
       </plugin>
 
       <plugin>
-        <groupId>org.apache.maven.plugins</groupId>
-        <artifactId>maven-site-plugin</artifactId>
-        <version>2.0-beta-5</version>
-      </plugin>
-
-      
-      <plugin>
         <inherited>false</inherited>
         <artifactId>maven-antrun-plugin</artifactId>
         <executions>
@@ -610,9 +544,7 @@
           </execution>
         </executions>
       </plugin>
-      
     </plugins>
-
   </build>
 
   <reporting>
@@ -737,8 +669,8 @@
         <module>webapp-smstrial</module>
         -->
       </modules>
-      
     </profile>
+
     <profile>
       <id>all</id>
       <activation>
@@ -787,5 +719,4 @@
       
     </profile>
   </profiles>
-
 </project>



Mime
View raw message